Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.tree
Class MultiSelectionModel

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.tree.MultiSelectionModel

All Implemented Interfaces:
  TreeSelectionModel

    public class MultiSelectionModel

extends JsObject
implements TreeSelectionModel

Selection model for multi selecting tree nodes.

See Also:
  `DefaultSelectionModel`

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`MultiSelectionModel()`
`MultiSelectionModel(com.google.gwt.core.client.JavaScriptObject jsObj)`

Method Summary
`void` | `addSelectionModelListener(MultiSelectionModelListener listener)`
`void` | `clearSelections()` Clear all selections.
`void` | `clearSelections(boolean suppressEvent)`
`TreeNode[]` | `getSelectedNodes()`
`static MultiSelectionModel` | `instance(com.google.gwt.core.client.JavaScriptObject jsObj)`
`boolean` | `isSelected(TreeNode treeNode)` Returns true if the node is selected.
`void` | `select(TreeNode treeNode)` Select a node.
`void` | `select(TreeNode treeNode, boolean keepExisting)`
`void` | `selectNext()` Selects the node above the selected node in the tree, intelligently walking the nodes.
`void` | `selectPrevious()` Selects the node above the selected node in the tree, intelligently walking the nodes.
`void` | `unselect(TreeNode treeNode)` Deselect a node.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.tree.TreeSelectionModel
`getJsObj`

Constructor Detail

### MultiSelectionModel

    public MultiSelectionModel()

### MultiSelectionModel

    public MultiSelectionModel(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### instance

    public static MultiSelectionModel instance(com.google.gwt.core.client.JavaScriptObject jsObj)

### clearSelections

    public void clearSelections()

  Description copied from interface: `TreeSelectionModel`
  Clear all selections.

  Specified by:
    `clearSelections` in interface `TreeSelectionModel`

### clearSelections

    public void clearSelections(boolean suppressEvent)

### getSelectedNodes

    public TreeNode[] getSelectedNodes()

### isSelected

    public boolean isSelected(TreeNode treeNode)

  Description copied from interface: `TreeSelectionModel`
  Returns true if the node is selected.

  Specified by:
    `isSelected` in interface `TreeSelectionModel`
  Parameters:
    `treeNode` - the node to test
  Returns:
    true if selected

### select

    public void select(TreeNode treeNode)

  Description copied from interface: `TreeSelectionModel`
  Select a node.

  Specified by:
    `select` in interface `TreeSelectionModel`
  Parameters:
    `treeNode` - the tree node to select

### select

    public void select(TreeNode treeNode,
                       boolean keepExisting)

### selectNext

    public void selectNext()

  Description copied from interface: `TreeSelectionModel`
  Selects the node above the selected node in the tree, intelligently walking the nodes.

  Specified by:
    `selectNext` in interface `TreeSelectionModel`

### selectPrevious

    public void selectPrevious()

  Description copied from interface: `TreeSelectionModel`
  Selects the node above the selected node in the tree, intelligently walking the nodes.

  Specified by:
    `selectPrevious` in interface `TreeSelectionModel`

### unselect

    public void unselect(TreeNode treeNode)

  Description copied from interface: `TreeSelectionModel`
  Deselect a node.

  Specified by:
    `unselect` in interface `TreeSelectionModel`
  Parameters:
    `treeNode` - the node to deselect

### addSelectionModelListener

    public void addSelectionModelListener(MultiSelectionModelListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD